List Integrations
curl --request GET \
--url https://platform.versori.com/api/embedded/v1/hubs/{hub_id}/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/embedded/v1/hubs/{hub_id}/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/embedded/v1/hubs/{hub_id}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"integrations": [
{
"id": "<string>",
"name": "<string>",
"boardId": "<string>",
"imageUrl": "<string>",
"screenshotUrl": "<string>",
"description": "<string>",
"variablesSchema": {}
}
]
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Integrations
List Integrations
ListIntegrations returns all the integrations for the given Hub.
This API should not be exposed to End Users via the embedded UI since it includes integrations which have not been published.
GET
/
hubs
/
{hub_id}
/
integrations
List Integrations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Search is a string that is used to filter the list of Integrations. The search string is matched against the name.
⌘I